std::locale::id(3)

NAME
std::locale::id -

SYNOPSIS

  Public Member Functions
id ()
size_t _M_id () const throw ()

  Friends
template<typename _Facet > bool has_facet (const locale &) throw ()
class locale
class locale::_Impl
template<typename _Facet > const _Facet & use_facet (const locale &)

Detailed Description

Facet ID class.

The ID class provides facets with an index used to identify them. Every facet class must define a public static member locale::id, or be derived from a facet that provides this member, otherwise the facet cannot be used in a locale. The locale::id ensures that each class type gets a unique identifier.

Definition at line 474 of file locale_classes.h.

Constructor & Destructor Documentation

  std::locale::id::id () [inline]

Constructor.

Definition at line 505 of file locale_classes.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.